Closed Bug 768373 Opened 8 years ago Closed 8 years ago

Create /gaia-l10n hierarchy on hg.mozilla.org for per-locale repositories

Categories

(Developer Services :: General, task)

x86_64
Linux
task
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: stas, Assigned: fox2mike)

References

Details

Attachments

(1 file)

For B2G/Gaia, we'd like to use a separate repository hierarchy which is not bound to the -central, -aurora or -beta trains.

Please create the /gaia-l10n hierarchy.

Should I file individual bugs for all locales that we want to have under this hierarchy?

For example, we will need /gaia-l10n/es with the common l10n permissions and hooks, both python:mozhghooks.pushlog and python:mozhghooks.single_head_per_branch.hook.
A list of locales will be fine.
Assignee: server-ops → server-ops-devservices
Component: Server Operations → Server Operations: Developer Services
QA Contact: phong → shyam
Also, which l10n repos use pushlog?
The list for now will be:

ar
de
el
en-US
es
fr
it
pt-BR
ru
tr
zh-TW
Assignee: server-ops-devservices → shyam
(In reply to Staś Małolepszy :stas from comment #3)
> The list for now will be:
> 
> ar
> de
> el
> en-US
> es
> fr
> it
> pt-BR
> ru
> tr
> zh-TW

How can i sign up for this list? :)
Cool. This should be good to go for checkins etc. I'll close out the bug once the hg.mozilla.org http front-end has caught up with the changes. 

[root@hgssh1.dmz.scl3 gaia-l10n]# for i in `cat /root/bug-768373`
> do
> hg init ${i}
> echo -e "[hooks]\npretxnchangegroup.a_singlehead = python:mozhghooks.single_head_per_branch.hook\n" > ${i}/.hg/hgrc
> chmod -R g+w ${i}
> chown -R hg:scm_l10n ${i}
> done
[root@hgssh1.dmz.scl3 gaia-l10n]# ls -l
total 44
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:12 ar
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 de
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 el
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 en-US
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 es
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 fr
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 it
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 pt-BR
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 ru
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 tr
drwxrwsr-x 3 hg scm_l10n 4096 Jun 26 05:17 zh-TW
[root@hgssh1.dmz.scl3 gaia-l10n]#
That doesn't have the pushlog hook on, we'll need those. They're blocking for integration with elmo, if nothing else.
(In reply to Axel Hecht [:Pike] from comment #6)
> That doesn't have the pushlog hook on, we'll need those. They're blocking
> for integration with elmo, if nothing else.

Pushlog is globally enabled. None of the repos under l10n-central have them either, fwiw (not in the specific repo's hgrc files).
(In reply to Sander Lepik from comment #4)
> 
> How can i sign up for this list? :)

Excellent question, dear sir :)  I'll post in mozilla.dev.l10n this week and we'll figure that out.  I'll probably file more bugs.  The initial list is nothing else than a mirror of kaze's repo at https://github.com/fabi1cazenave/gaia-l10n/.  We definitely want more locales participating!

(In reply to Shyam Mani [:fox2mike] from comment #5)
> Cool. This should be good to go for checkins etc. I'll close out the bug
> once the hg.mozilla.org http front-end has caught up with the changes. 

Thanks for your help!
Hi Staš:

Enclosed the SL tree - based on en-US contents of the GitHub. Can zopu squeeze Slovenian in as well?

TiA

Vito
If the structure does not rhyme, let me know and I wll adjust accordingly
Hey Vito -- thanks for taking care of the Slovenian l10n.  Let's not hijack this bug though -- I'll soon have more details about adding locales to b2g.
CC'ing release folks. Forgot to do this earlier :|
https://hg.mozilla.org/gaia-l10n/ is now displaying fine as well.
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
All - RelEng has asked that these repositories be locked at the moment. They may not be located in the correct place to allow smooth integration into the buildfarm & release services.

We do not anticipate this will be a huge delay, we just don't want to minimize the number of folks impacted.

My apologies that this request wasn't routed through RelEng first - it's a new process to help us ensure we can deliver b2g as smooth as possible.

Please direct any questions to myself and/or John O'Duinn
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
locked the repos at Releng's request.

ops: changed grp ownership to root from scm_l10n
Hal, there's not a whole lot of options we have with how this is set up on the l10n side, so would you detail on the concerns on your side?
Axel - more details forthcoming from John, but it's about how we coordinate all the gaia/b2g resources in terms of naming, root repo location, etc. All in service of less confusion down the line, for all the users of the repos.
Assignee: shyam → nobody
Component: Server Operations: Developer Services → Release Engineering: Developer Tools
QA Contact: shyam → lsblakk
(In reply to Staś Małolepszy :stas from comment #3)
> The list for now will be:
> 
> ar
> de
> el
> en-US
> es
> fr
> it
> pt-BR
> ru
> tr
> zh-TW

Hi.

The Galician team wants to participate in the location.

Is it possible?

Thanks.
QA Contact: lsblakk → hwine
Please go ahead and "unlock" these repos (see comment #15 for how it was locked).
Assignee: nobody → server-ops-devservices
Component: Release Engineering: Developer Tools → Server Operations: Developer Services
QA Contact: hwine → shyam
Unlocked, should be ready to go.
Assignee: server-ops-devservices → shyam
Status: REOPENED → RESOLVED
Closed: 8 years ago8 years ago
Resolution: --- → FIXED
Note to users of the web interface - currently you can not navigate to these repositories directly from hg.m.o. You must use a direct URL of https://hg.mozilla.org/gaia-l10n/ to view these. Bug 792022 has been opened to track that issue.
removing myself from the list.

Bye to all.
Status: RESOLVED → UNCONFIRMED
Ever confirmed: false
Resolution: FIXED → ---
Status: UNCONFIRMED → RESOLVED
Closed: 8 years ago8 years ago
Resolution: --- → FIXED
Depends on: 793496
[root@hgssh1.dmz.scl3 gaia-l10n]# for i in `cat /root/bug-768373` ; do chgrp -R scm_l10n $i; done

Fixed permissions.
(In reply to Hal Wine [:hwine] from comment #19)
> Please go ahead and "unlock" these repos (see comment #15 for how it was
> locked).

documenting the discussion behind the unlock decision, which occurred in email:

On 2012-09-18 12:20 , Axel Hecht wrote:
> Hi Hal,
>
> agreed on all accounts, thanks for unblocking us for now.
>
> Axel
>
> On 18.09.12 02:46, Hal Wine wrote:
>> Okay - we're in an imperfect world:
>>   - we don't know the cadence of gaia vs b2g vs gecko yet
>>   - "gaia" as a code base/repository needed for releases doesn't have a
>> location yet
>>   - discussions are ongoing re all of the above, but nothing is finalized
>>   - this all needed to be live a while back
>>
>> All of the above implies that there is a reasonable chance we are not
>> getting this right the first time, and we'll be asking folks (including
>> localizers) to make changes as we go forward.
>>
>> To get things unblocked, I've just updated the bug to re-open the
>> repositories as requested in bug 768373
>>
>> --Hal
>>
>>
>> On 2012-09-17 14:40 , Staś Małolepszy wrote:
>>>
>>>
>>> On 09/17/2012 06:44 PM, Hal Wine wrote:
>>>> On 2012-09-17 09:10 , Alex Keybl wrote:
>>>>> Any word here Hal? If we don't know the answer right now, best
>>>>> guess and a timeline for knowing the final situation would be very
>>>>> helpful. 
>>>>
>>>> Alex - John has taken point on this, and he's on PTO this week. I
>>>> know he's had several discussions with various folks, so it's "in
>>>> progress" but I am not on any of the email threads.
>>>>
>>>> So, by Wed, Sep 26 should be when we can have a solid best guess. 
>>>
>>> I'm afraid anything next week is too late for us.  The string freeze
>>> is planned for this Friday, September 21st, at which point we need to
>>> have the repositories in place.  The localizers will want to start to
>>> work right away.  We also need a moment to set up our reporting tools,
>>> so in fact Thursday, September 20th is probably the latest that can
>>> work for us.
>>>
>>> In this case, I'd suggest l10n moves forward with the (much) safer and
>>> future-proof option, i.e. creating new localization repositories in
>>> the /gaia-l10n hierarchy in Mercurial.  FTR, that's bug
>>> https://bugzilla.mozilla.org/show_bug.cgi?id=768373.
>>>
>>> Hal, do you need anything from us to get the creation of the
>>> repositories started?
>>>
>>> This also means that we'll need two signoffs from localizers:  one for
>>> Gecko and one for Gaia.  This translates into two changesets for l10n,
>>> not the usual one.  Some changes might be necessary to the build
>>> automation. I can file follow-up bugs if needed.
>>>
>>> Thanks,
>>> -stas
Component: Server Operations: Developer Services → General
Product: mozilla.org → Developer Services
You need to log in before you can comment on or make changes to this bug.